# WORMPEP
[SAMPLE]
accession java.lang.String 5133

[TEST_DATUM]
29655

[CORE]
FIELD_ANNOTATION          SELECT description FROM WORMPEP__DATA__$DESCRIPTION WHERE AK_WORMPEP__DATA__id='@FIELD_ACCESSION@'
FIELD_PROTEIN_SEQUENCE    SELECT SEQUENCE_P FROM WORMPEP__DATA WHERE id='@FIELD_ACCESSION@'
FIELD_NAME          SELECT locus FROM WORMPEP__DATA__$LOCUS WHERE AK_WORMPEP__DATA__id='@FIELD_ACCESSION@'
FIELD_CURATION_STATUS     SELECT status FROM WORMPEP__DATA__$STATUS, WORMPEP__$STATUS WHERE CK_WORMPEP__$STATUS__id=WORMPEP__$STATUS.id AND AK_WORMPEP__DATA__id='@FIELD_ACCESSION@'

[LINKAGE_TO]
LINK_ORTHOLOG	 SELECT INPARANOID__DATA.id from INPARANOID__DATA__LINKAGES$SWISSPROT, INPARANOID__DATA, WORMPEP__DATA__LINKAGES$SWISSPROT WHERE INPARANOID__DATA__LINKAGES$SWISSPROT.FKDest__value = WORMPEP__DATA__LINKAGES$SWISSPROT.FKDest__value AND INPARANOID__DATA.GroupID = INPARANOID__DATA__LINKAGES$SWISSPROT.FKSrc__value AND INPARANOID__DATA.id <> WORMPEP__DATA__LINKAGES$SWISSPROT.FKDest__value AND WORMPEP__DATA__LINKAGES$SWISSPROT.FKSrc__value ='@FIELD_ACCESSION@' ORDER BY INPARANOID__DATA.id
LINK_SWISSPROT   SELECT AK_SWISSPROT__DATA__id FROM SWISSPROT__DATA__$ACCESSIONS, WORMPEP__DATA__LINKAGES$SWISSPROT WHERE accession=FKDest__value AND FKSrc__value='@FIELD_ACCESSION@'
LINK_TREMBL      SELECT FKDest__value FROM WORMPEP__DATA__LINKAGES$TREMBL WHERE FKSrc__value='@FIELD_ACCESSION@'
LINK_WORMBASE    SELECT FKDest__value FROM WORMPEP__DATA__$CDS WHERE FKSrc__value='@FIELD_ACCESSION@'

[LINKAGE_FROM]
#LINK_ORTHOLOG	 SELECT WORMPEP__DATA__LINKAGES$SWISSPROT.FKSrc__value from INPARANOID__DATA__LINKAGES$SWISSPROT, INPARANOID__DATA, WORMPEP__DATA__LINKAGES$SWISSPROT WHERE INPARANOID__DATA__LINKAGES$SWISSPROT.FKDest__value = WORMPEP__DATA__LINKAGES$SWISSPROT.FKDest__value AND INPARANOID__DATA.GroupID = INPARANOID__DATA__LINKAGES$SWISSPROT.FKSrc__value AND INPARANOID__DATA.id <> WORMPEP__DATA__LINKAGES$SWISSPROT.FKDest__value AND INPARANOID__DATA.id='@FIELD_ACCESSION@'
LINK_SWISSPROT   SELECT FKSrc__value FROM SWISSPROT__DATA__$ACCESSIONS, WORMPEP__DATA__LINKAGES$SWISSPROT WHERE accession=FKDest__value AND AK_SWISSPROT__DATA__id='@FIELD_ACCESSION@'
LINK_TREMBL      SELECT FKSrc__value FROM WORMPEP__DATA__LINKAGES$TREMBL WHERE FKDest__value='@FIELD_ACCESSION@'
LINK_WORMBASE    SELECT FKSrc__value FROM WORMPEP__DATA__$CDS WHERE FKDest__value='@FIELD_ACCESSION@'

[KEYWORD]
FIELD_ACCESSION       SELECT id FROM WORMPEP__DATA WHERE id LIKE '@keyword@'
FIELD_ANNOTATION      SELECT AK_WORMPEP__DATA__id FROM WORMPEP__DATA__$DESCRIPTION WHERE UPPER(description) LIKE '@keyword@'
FIELD_NAME            SELECT AK_WORMPEP__DATA__id FROM WORMPEP__DATA__$LOCUS WHERE UPPER(locus) LIKE '@keyword@'
FIELD_CURATION_STATUS SELECT AK_WORMPEP__DATA__id FROM WORMPEP__$STATUS, WORMPEP__DATA__$STATUS WHERE CK_WORMPEP__$STATUS__id=WORMPEP__$STATUS.id AND status LIKE '@keyword@'


